# Contributing

If you have any issues or ideas for improvement you can contact me in the [CMK forum](https://forum.checkmk.com/) by sending me a direct 
message to `@thl-cmk` (this is the prefered way) or send me an email to _thl-cmk[at]outlook[dot]com_.

If you have any issues at least let me know what CMK version/edition you are running, what Fritzbox (model/version) you are using.

For some fixes/improvements I migth need the _agent output_ from the device in question.

For example, first get the actual command line from CMK:
```
OMD[build]:~$ cmk -D ares | grep Program
  Program: /omd/sites/build/share/check_mk/agents/special/agent_fritzbox 192.168.10.254
  Program: /omd/sites/build/local/share/check_mk/agents/special/agent_fritzbox_smarthome --pwstore=3@0@ares 192.168.10.254 --password '********************' --user checkmk --port 8443 --ignore_ssl --no-piggyback
```
Then run the agnt with exact the same options and add `--debug`
```
OMD[build]:~$  /omd/sites/build/local/share/check_mk/agents/special/agent_fritzbox_smarthome --pwstore=3@0@ares 192.168.10.254 --password '********************' --user checkmk --port 8443 --ignore_ssl --no-piggyback --debug
Raw XML:
b'<devicelist version="1"><device identifier="13979 0878454" id="16" functionbitmask="320" fwversion="05.16" manufacturer="AVM" productname="Comet DECT"><present>1</present><name>Temp01</name><temperature><celsius>205</celsius><offset>0</offset></temperature><hkr><tist>41</tist><tsoll>39</tsoll><absenk>35</absenk><komfort>39</komfort><lock>0</lock><devicelock>1</devicelock><errorcode>0</errorcode><batterylow>0</batterylow><nextchange><endperiod>1703973600</endperiod><tchange>35</tchange></nextchange></hkr></device></devicelist>\n'
<<<fritzbox_smarthome:sep(0)>>>
[{"identifier": "13979 0878454", "id": "16", "functionbitmask": "320", "fwversion": "05.16", "manufacturer": "AVM", "productname": "Comet DECT", "present": "1", "name": "Temp01", "temperature": {"celsius": "205", "offset": "0"}, "hkr": {"tist": "41", "tsoll": "39", "absenk": "35", "komfort": "39", "lock": "0", "devicelock": "1", "errorcode": "0", "batterylow": "0", "nextchange": {"endperiod": "1703973600", "tchange": "35"}}}]
```
The first part is the raw XML output from your FritzBox. The second part is the parsed agent output. I will need the complete output please.

